<?php

error_reporting(E_ALL);

session_start();

require_once("../config.php");

require_once(ABSPATH . "includes/mysql.class.php");

/** Admin or Lender Check */
if(!$_SESSION["logged_in"] || ($_SESSION["user_type"] != GRP_ADMIN && $_SESSION["user_type"] != GRP_LENDER)) {
	header("Location: ../index.php");
}

if(!isset($_POST["module"])) { $_POST["module"] = ""; }

switch($_POST["module"]) {
	case "back": borrow_back();
		break;
	case "borrow": borrow_borrow();
		break;
	default: borrow_main();
		break;
}

function borrow_main() {
	if(!isset($_GET["movie"])) {
		die("Es muss eine Film-ID angegeben werden.");
	}
	
	$conn = new mySQL();
	
	$movie = $conn->select("SELECT movie_id, movie_title FROM ".DB_TBLPRE."movie WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
	
	if(count($movie) <= 0) {
		die("Dieser Film existiert nicht in der Datenbank: ".$_GET["movie"]);
	} else {
		$movie = $movie[0];
	}
	
	$borrowed = $conn->select("SELECT user_id
									 ,user_name
									 ,user_firstname
									 ,bor_startdate
								 FROM ".DB_TBLPRE."borrowed b
								 JOIN ".DB_TBLPRE."user u ON u.user_id = b.bor_useridfs
								WHERE bor_movieidfs = '".$movie->movie_id."'
								  AND bor_enddate IS NULL");
	
	$getusers = $conn->select("SELECT user_name, user_firstname, user_id FROM ".DB_TBLPRE."user ORDER BY user_name,user_firstname");
	
	?>
	
	<html>
		<head>
			<title>Ausleihen</title>
			
			<link rel="stylesheet" type="text/css" href="../css/style.css" />
		</head>
		<body style="padding:0; margin:0;">
			<div id="content" style="width:auto;">
			<?php
			
			echo"<h1>Informationen</h1>";
			
			if(count($borrowed) > 0) {
				$duration = ceil((time()-$borrowed[0]->bor_startdate)/3600/24);
				
				echo"<dl>
					<dt>Ausgeliehen an:</dt><dd><a href=\"#\">".htmlentities(stripslashes($borrowed[0]->user_firstname))." ".htmlentities(stripslashes($borrowed[0]->user_name))."</a></dd>
					<dt>Ausgliehen am:</dt><dd>".date('d.m.Y',$borrowed[0]->bor_startdate)."</dd>
					<dt>Ausgeliehen seit:</dt><dd>$duration ".(($duration == 1)?"Tag":"Tage")."</dd>
				</dl>
				
				<h1>Zur&uuml;ck erhalten am ",date('d.m.Y'),"</h1>
				<p><form method=\"post\" method=\"".$_SERVER['PHP_SELF']."\">
					<input type=\"hidden\" name=\"module\" value=\"back\" />
					<input type=\"hidden\" name=\"movie\" value=\"",$movie->movie_id,"\" />
					<input type=\"hidden\" name=\"user\" value=\"",$borrowed[0]->user_id,"\" />
					<input type=\"submit\" value=\"Best&auml;tigen\" class=\"submit\" />
				</form></p>";
			} else {
				echo"<p>Der Film ist momentan nicht ausgeliehen.</p>
				<h1>Ausleihen</h1>
				<form method=\"post\" method=\"".$_SERVER['PHP_SELF']."\">
					<input type=\"hidden\" name=\"module\" value=\"borrow\" />
					<input type=\"hidden\" name=\"movie\" value=\"",$movie->movie_id,"\" />
					Ausleihen an: <select name=\"borrower\"><option value=\"0\">-- bitte w&auml;hlen --</option>";
					
					foreach($getusers as $user) {
						echo"<option value=\"$user->user_id\">",htmlentities(stripslashes($user->user_name)),", ",htmlentities(stripslashes($user->user_firstname)),"</option>";
					}
					
					echo"</select> <input type=\"submit\" value=\"Ausleihen\" class=\"submit\" />
				</form>";
			}
			
			?>
			</div>
		</body>
	</html>
    <?php
}


/*
 * Film zurück erhalten
 */
function borrow_back() {
	$conn = new mySQL();
	
	$conn->query("UPDATE ".DB_TBLPRE."borrowed SET bor_enddate = '".time()."' WHERE bor_movieidfs = '".mysql_real_escape_string(strip_tags($_POST["movie"]))."' AND bor_useridfs = '".mysql_real_escape_string(strip_tags($_POST["user"]))."'");
	
	echo"<html><head><title>Zur&uuml;ck</title><link rel=\"stylesheet\" type=\"text/css\" href=\"../css/style.css\" /></head><body style=\"padding:10px;\"><h3><span>Film zur&uuml;ckgegeben</span></h3><p>Der Film wurde am ",date('d.m.Y')," zur&uuml;ckgegeben.</p><p><a href=\"javascript:self.parent.Shadowbox.close()\" class=\"submit\">Schliessen</a></p></body></html>";
}

/*
 * Film ausleihen
 */
function borrow_borrow() {
	if(empty($_POST["movie"])) {
		die("Es muss eine Film-ID angegeben werden.");
	}
	
	if(empty($_POST["borrower"])) {
		header("Location: ".$_SERVER['PHP_SELF']."?movie=".$_POST["movie"]);
	}
		
	$conn = new mySQL();
	
	$conn->query("INSERT ".DB_TBLPRE."borrowed (bor_movieidfs, bor_useridfs, bor_startdate) VALUES ('".mysql_real_escape_string(strip_tags($_POST["movie"]))."','".mysql_real_escape_string(strip_tags($_POST["borrower"]))."','".time()."')");
	
	echo"<html><head><title>Ausgeliehen</title><link rel=\"stylesheet\" type=\"text/css\" href=\"../css/main.css\" /></head><body style=\"padding:10px;\"><h3><span>Film ausgeliehen</span></h3><p>Der Film wurde am ",date('d.m.Y')," ausgeliehen.</p><p><a href=\"javascript:self.parent.Shadowbox.close()\" class=\"submit\">Schliessen</a></p></body></html>";
}

?>