<?php

error_reporting(E_ALL);

session_start();

require_once("../config.php");

require_once(ABSPATH."admin/check_admin.php");

require_once(ABSPATH."includes/mysql.class.php");
require_once(ABSPATH."includes/imdb.class.php");
require_once(ABSPATH."includes/functions.inc.php");

$_POST = array_merge($_POST,$_GET);

switch($_POST["module"]) {
	case "movie": new_movie();
		break;
	case "getlangs": edit_getlangs();
		break;
	case "movie_getlangs": edit_movie_getlangs();
		break;
	default: echo"Was willst du editieren?";
		break;
}

function new_movie() {
	
	
	$config["lang_countries"] = array("Germany" => "Deutschland"
								 ,"Italy" => "Italien"
								 ,"France" => "Frankreich"
								 ,"Spain" => "Spanien"
								 ,"Switzerland" => "Schweiz"
								 ,"Canada" => "Kanada"
								 ,"UK" => "Grossbritannien"
								 ,"Czech Republic" => "Tschechische Republik");

	$config["lang_genres"] = array("Comedy" => "Komdie"
								  ,"Crime" => "Krimi"
								  ,"Documentary" => "Dokumentation"
								  ,"Short" => "Kurz"
								  ,"Film-Noir" => "Schwarzfilm"
								  ,"Romance" => "Romantik"
								  ,"Adventure" => "Abenteuer"
								  ,"War" => "Krieg"
								  ,"Sci-Fi" => "Science-Fiction"
								  ,"Family" => "Familie"
								  ,"Adult" => "Erwachsen"
								  ,"Music" => "Musik");
								  
	/* Fuer Deutsch / for German */
	$config["lang_cast"] = array("as" => "als"
								,"(uncredited)" => ""
								,"voice" => "Stimme");
	
	$ars = array("4:3","16:9","1.85:1","2.39:1");
	$nfos = array("title" => "", "alttitles" => "", "duration" => "", "genres" => "", "directors" => array(), "casting" => array(), "year" => "", "countries" => "", "mpaa" => -1);
	
	$conn = new mySQL();
	
	/* MIT IMDB-INFORMATIONEN */
	if(isset($_POST["imdbid"])) {
		if(preg_match("/^(?:http:\/\/)?www\.imdb\.(?:de|com)\/title\/tt(\d+)\/?$/",$_POST["imdbid"],$match)) {
			$imdbid = $match[1];
		} else {
			$imdbid = $_POST["imdbid"];
		}
	
		$imdbnfo = new imdb($imdbid);
		
		$movieid = $imdbid;
	  	$imdbnfo->setid($movieid);
		
		$nfos["title"] = $imdbnfo->title();
		$nfos["duration"] = $imdbnfo->runtime();
		$nfos["directors"] = $imdbnfo->director();
		$nfos["casting"] = $imdbnfo->cast();
		$nfos["year"] = $imdbnfo->year();
		$nfos["cinrel"] = $imdbnfo->releaseInfo();
		
		# AKAs
		$realakas = array();
		$aka = $imdbnfo->alsoknow();
		if (!empty($aka)) {
			foreach ($aka as $ak){
				if(!empty($ak["country"]) && "Germany" == $ak["country"]) {
					$nfos["title"] = $ak["title"];
				} else {
					$realakas[] = $ak["title"];
				}
			}
			$nfos["alttitles"] = implode(",",$realakas);
		}
		
		# Country
		$nfos["countries"] = implode(", ",$imdbnfo->country());
		# Genres
		$nfos["genres"] = implode(", ",$imdbnfo->genres());
		
		# MPAA
		$mpaa = $imdbnfo->mpaa();
		foreach($mpaa as $key => $mpaa) {
			if($key == "Germany" || (empty($nfos["mpaa"]) && $key == "Switzerland")) {
			   $nfos["mpaa"] = $mpaa;
			}
		}
		
		# Color
		$nfos["color"] = $imdbnfo->colors();
	}
	
	/* SPEICHERN */
	$message = "";
	if(isset($_POST["save"])) {
		if(!isset($_POST["genre"])) { $_POST["genre"] = array(); }
		//echo"<pre>"; print_r($_POST); echo"</pre>";
		
		// $checkflds[] = array("name" => name,"disp" => disp,"value" => value,"h_value" => h_value,"l_value" => l_value,"s_value" => s_value,"s_value_in" => s_value_in,"empty" => empty);
		$checkflds[] = array("name" => "title","disp" => "Titel","value" => $_POST["title"],"empty" => false,"min_l" => 3);
		$checkflds[] = array("name" => "description","disp" => "Beschreibung","value" => $_POST["description"],"empty" => false);
		$checkflds[] = array("name" => "length","disp" => "Spieldauer","value" => $_POST["length"],"empty" => false,"min_l" => 1,"numeric" => true);
		$checkflds[] = array("name" => "ar","disp" => "Seitenverh&auml;ltnis","value" => $_POST["ar"],"empty" => false,"s_value" => array(-1),"s_value_in" => false);
		$checkflds[] = array("name" => "color","disp" => "Farbe","value" => $_POST["color"],"empty" => false,"s_value" => array(0,1,2),"s_value_in" => true);
		$checkflds[] = array("name" => "age","disp" => "Altersfreigabe","value" => $_POST["age"],"s_value" => array(0,6,12,16,18),"s_value_in" => true);
		$checkflds[] = array("name" => "copytype","disp" => "Kopieart","value" => $_POST["copytype"],"empty" => false,"s_value" => array(-1),"s_value_in" => false);
		$checkflds[] = array("name" => "backup","disp" => "Backup","value" => $_POST["backup"],"empty" => false,"s_value" => array(0,1),"s_value_in" => true);
		$checkflds[] = array("name" => "extra","disp" => "Extras","value" => $_POST["extra"],"empty" => false,"s_value" => array(-1),"s_value_in" => false);
		$checkflds[] = array("name" => "active","disp" => "Aktiviert","value" => $_POST["active"],"s_value" => array(0,1),"s_value_in" => true);
		$checkflds[] = array("name" => "genre","disp" => "Genres","value" => count($_POST["genre"]),"empty" => false);
		$checkform = form_check($checkflds);
		
		if($checkform["ok"]) {			
			/*
			 * Casting aufbereiten
			 */
			$casting = array();
			if(!empty($_POST["casting"])) {
				$i=0;
				foreach(explode("\r\n",$_POST["casting"]) as $cast) {
					$splitted = explode("=",$cast);
					if(count($splitted) == 2) {
						$casting[$i]["name"] = mysql_real_escape_string(strip_tags($splitted[0]));
						$casting[$i]["role"] = mysql_real_escape_string(strip_tags(str_ireplace(array_keys($config["lang_cast"]),array_values($config["lang_cast"]),$splitted[1])));
						$i++;
					} else {
						echo"<strong>Fehler bei <em>$cast</em> in <em>Casting</em>. Ung&uuml;ltiges Format (Format: <em>Schauspieler=Rolle</em>).</strong>";
					}
				}
			}
			
			/*
			 * Regisseure aufbereiten
			 */
			$regie = array();
			if(!empty($_POST["directors"])) {
				foreach(explode("\r\n",$_POST["directors"]) as $r) {
					$regie[] = mysql_real_escape_string(strip_tags($r));
				}
			}			

			/*
			 * Neue Film-Sprach-Kombinationen prfen
			 */
			$insertlangs = array();
			$j = 0;
			for($i=0; $i < count($_POST["lang"]); $i++) {
				if(!empty($_POST["lang"][$i]) && !empty($_POST["af"][$i])) {
					$lang = mysql_real_escape_string(strip_tags($_POST["lang"][$i]));
					
					$checklang = $conn->select("SELECT lang_id FROM ".DB_TBLPRE."language WHERE lang_name = '".$lang."'");
					
					if(count($checklang) <= 0) {
						/* Neue Sprache eintragen */
						$insertlang = $conn->query("INSERT INTO ".DB_TBLPRE."language (lang_name, lang_iso) VALUES ('".$lang."',NULL)");
						echo"Neue Sprache <strong>$lang</strong> (".mysql_insert_id().") hinzugef&uuml;gt.";
						$insertlangs[$j]["langid"] = mysql_insert_id();
					} else {
						$insertlangs[$j]["langid"] = $checklang[0]->lang_id;
					}
					
					$insertlangs[$j]["af_id"] = mysql_real_escape_string(strip_tags($_POST["af"][$i]));
					$j++;
				} else {
					$warnings["messages"][] = "Sprache $i wird ignoriert, da min. ein Feld leer ist.";
				}
			}
			
			// Mindestens eine Sprache muss schon vorhanden sein
			if(count($insertlangs) <= 0) {
				$checkform["messages"][] = "Es muss mindestens eine g&uuml;tige Sprache angegeben werden.";
				$checkform["ok"] = false;
			}
			
			//echo"SPRACHEN -- <pre>"; print_r($insertlangs); echo"</pre>";
			
			/*
			 * Neue Film-Sprach-Kombinationen eintragen
			 */
			if($checkform["ok"]) {
				/* FILM INSERT */
				$insertmovie = $conn->query("INSERT INTO ".DB_TBLPRE."movie (
													movie_title
												   ,movie_alttitle
												   ,movie_version
												   ,movie_description
												   ,movie_age
												   ,movie_length
												   ,movie_extraidfs
												   ,movie_copytypeidfs
												   ,movie_backup
												   ,movie_rlsname
												   ,movie_codecidfs
												   ,movie_notes
												   ,movie_cinreldate
												   ,movie_reldate
												   ,movie_active
												   ,movie_aspectratio
												   ,movie_color
												   ,movie_entrydate
											) VALUES (
													'".mysql_real_escape_string(strip_tags($_POST["title"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["alttitles"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["version"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["description"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["age"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["length"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["extra"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["copytype"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["backup"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["rlsname"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["codec"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["notes"]))."'
												   ,'".((!empty($_POST["cinrel"]["year"]))?mktime(0,0,0,strip_tags($_POST["cinrel"]["month"]),strip_tags($_POST["cinrel"]["day"]),strip_tags($_POST["cinrel"]["year"])):"0")."'
												   ,'".((!empty($_POST["streetrel"]["year"]))?mktime(0,0,0,strip_tags($_POST["streetrel"]["month"]),strip_tags($_POST["streetrel"]["day"]),strip_tags($_POST["streetrel"]["year"])):"0")."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["active"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["ar"]))."'
												   ,'".mysql_real_escape_string(strip_tags($_POST["color"]))."' 
												   ,'".time()."'
											)");
				
				if(!$insertmovie) {
					$checkform["messages"][] = "Beim einf&uuml;gen des Films ist ein Fehler aufgetreten.";
					$checkform["ok"] = false;
				} else {
					$movieid = mysql_insert_id();
				}
				
				/*
				 * Sprachen einfgen
				 */
				if($checkform["ok"]) {
					for($i=0; $i < count($insertlangs); $i++) {
						$insertlang = $conn->select("INSERT INTO ".DB_TBLPRE."movielang (movielang_movieidfs, movielang_langidfs, movielang_afidfs) VALUES ('$movieid','".$insertlangs[$i]["langid"]."','".$insertlangs[$i]["af_id"]."')");
						
						/*if(!$insertlang) {
							$checkform["messages"][] = "Beim einf&uuml;gen der Sprache $i ist ein Fehler aufgetreten.".var_dump($insertlang);
							$checkform["ok"] = false;
						}*/
					}
				}
				
				
				/*
				 * Genres neu einfgen
				 */
				if($checkform["ok"]) {
					foreach(explode(",",$_POST["genre"]) as $genre) {
						$checkgenre = $conn->select("SELECT genre_id FROM ".DB_TBLPRE."genre WHERE genre_name = '".mysql_real_escape_string(strip_tags(trim($genre)))."'");
						
						if(count($checkgenre) <= 0) {
							$insert = $conn->query("INSERT INTO ".DB_TBLPRE."genre (genre_name) VALUES ('".mysql_real_escape_string(strip_tags(trim($genre)))."')");
							$genre_id = mysql_insert_id();
						} else {
							$genre_id = $checkgenre[0]->genre_id;
						}
						
						$insgenres = $conn->query("INSERT INTO ".DB_TBLPRE."moviegenre (moviegenre_movieidfs, moviegenre_genreidfs) VALUES ('$movieid','$genre_id')");
						
						/*if(!$insgenres) {
							$checkform["messages"][] = "Beim einf&uuml;gen des Genres $genre ist ein Fehler aufgetreten.";
							$checkform["ok"] = false;
						}*/
					}
				}
				
				/*
				 * Lnder neu einfgen
				 */
				if($checkform["ok"]) {
					$post_countries = explode(",",$_POST["countries"]);
					foreach($post_countries as $country) {
						$checkc = $conn->select("SELECT country_id FROM ".DB_TBLPRE."country WHERE country_name = '".mysql_real_escape_string(strip_tags(trim($country)))."'");
						
						if(count($checkc) > 0) {
							$country_id = $checkc[0]->country_id;
						} else {
							$insertc = $conn->query("INSERT INTO ".DB_TBLPRE."country (country_name) VALUES ('".mysql_real_escape_string(strip_tags(trim($country)))."')");
							$country_id = mysql_insert_id();
						}
						
						$inscountries = $conn->query("INSERT INTO ".DB_TBLPRE."moviecountry (mc_movieidfs, mc_countryidfs) VALUES ('$movieid','$country_id')");
						
						/*if(!$inscountries) {
							$checkform["messages"][] = "Beim einf&uuml;gen des Genres $genre ist ein Fehler aufgetreten.";
							$checkform["ok"] = false;
						}*/
					}
				}
				
				/*
				 * Regie
				 */
				if($checkform["ok"]) {
					foreach($regie as $r) {
						$checkguy = $conn->select("SELECT actor_id FROM ".DB_TBLPRE."actor WHERE actor_name = '".mysql_real_escape_string(strip_tags($r))."'");
						
						if(count($checkguy) > 0) {
							$director = $checkguy[0]->actor_id;
						} else {
							$insertguy = $conn->query("INSERT INTO ".DB_TBLPRE."actor (actor_name, actor_registered) VALUES ('".mysql_real_escape_string(strip_tags($r))."','".time()."')");
							
							if($insertguy) {
								$director = mysql_insert_id();
							} else {
								$checkform["ok"] = false;
								$checkform["messages"][] = "Fehler beim Einf&uuml;gen des Regisseuers ".$r." in die Datenbank.";
							}
						}
						
						$insertregm = $conn->query("INSERT INTO ".DB_TBLPRE."moviedirector (md_movieidfs, md_directoridfs) VALUES ('$movieid','$director')");
					}
				}
				
				/*
				 * Casting
				 */
				if($checkform["ok"]) {
					foreach($casting as $cast) {
						$checkguy = $conn->select("SELECT actor_id FROM ".DB_TBLPRE."actor WHERE actor_name = '".$cast["name"]."'");
						
						if(count($checkguy) > 0) {
							$actor = $checkguy[0]->actor_id;
						} else {
							$insertguy = $conn->query("INSERT INTO ".DB_TBLPRE."actor (actor_name, actor_registered) VALUES ('".$cast["name"]."','".time()."')");
							
							if($insertguy) {
								$actor = mysql_insert_id();
							} else {
								$checkform["ok"] = false;
								$checkform["messages"][] = "Fehler beim Einf&uuml;gen des Schauspielers ".$cast["name"]." in die Datenbank.";
							}
						}
						
						$insertactm = $conn->query("INSERT INTO ".DB_TBLPRE."movieactor (movieactor_movieidfs, movieactor_actoridfs, movieactor_charname) VALUES ('$movieid','$actor','".$cast["role"]."')");
					}
				}
			}
		}
		//echo"<pre>"; var_dump($checkform); print_r($_POST); echo"</pre>";
	}
	
	$header_bodyarg = "onload=\"javascript:new_getlangs(); new_getlangs();\"";
	$header_title = "Neuer Film hinzuf&uuml;gen";
	$header_rootpath = "../";
	$header_session = false;
	require_once("../overall_header.php");
	
	$codecs = $conn->select("SELECT codec_id
								   ,codec_name
							   FROM ".DB_TBLPRE."codec
							  WHERE codec_name != ''
						   ORDER BY codec_name");
	
	$extras = $conn->select("SELECT extra_id
								   ,extra_type
							   FROM ".DB_TBLPRE."extra
							  WHERE extra_type != ''
						   ORDER BY extra_type");
	
	$genres = $conn->select("SELECT genre_id
								   ,genre_name
							 FROM ".DB_TBLPRE."genre
							 ORDER BY genre_name");
							  
	$countries = $conn->select("SELECT country_id
									  ,country_name
								FROM ".DB_TBLPRE."country
								ORDER BY country_name");
	
	$copytypes = $conn->select("SELECT copytype_id
									  ,copytype_name
								  FROM ".DB_TBLPRE."copytype
							  ORDER BY copytype_name");
	
	/* Fehlermeldungen ausgeben, falls vorhanden */
	if(isset($checkform["messages"]) && count($checkform["messages"]) > 0) {
		echo"<div class=\"msg_error\" style=\"margin-top:15px;\">Es sind folgende Fehler aufgetreten:
		<ul>";
		foreach($checkform["messages"] as $msg) {
			echo"<li>$msg</li>";
		}
		
		echo"</ul></div>";
	}
	
	if(isset($warnings["messages"]) && count($warnings["messages"]) > 0) {
		echo"<div class=\"msg_information\" style=\"margin-top:15px;\">Warnungen:
		<ul>";
		foreach($warnings["messages"] as $msg) {
			echo"<li>$msg</li>";
		}
		
		echo"</ul></div>";
	}
	
	echo'<div id="movie_header" style="background-image:url(\'' , SCRIPT_URL , 'images/backdrop_none.jpg\');">	
			<div id="movie_mainheader">
				<strong>Neuer Film hinzufgen</strong>
				<em>Hier kannst du einen neuen Film in die Datenbank eintragen.</em>
			</div>
		</div>
		<div id="content">
			<h1>IMDB-Informationen</h1>
			<form id="formID" method="post" action="new.php?module=movie">
			<dl class="form">
				<dt><label for="imdbid">IMDB-ID / URL:</label></dt><dd><input type="text" name="imdbid" class="text" id="imdbid" /></dd>
				<dt>&nbsp;</dt><dd><input type="submit" class="submit" value="IMDB-Informationen laden" /></dd>
			</dl>
			</form>
			
			<form id="formID" method="post" action="new.php?module=movie" enctype="multipart/form-data" onsubmit="return formValidating(this);">
			<h1>Filminformationen</h1>
			<dl class="form">
				<dt>Filmtitel:*</dt><dd><input type="text" name="title" id="form_title" value="',$nfos["title"],'" class="text" /></dd>
				<dt>Alternative Titel:</dt><dd><input type="text" name="alttitles" id="form_alttitles" value="',strip_tags($nfos["alttitles"]),'" class="text" /></dd>
				<dt>Beschreibung:*</dt><dd><textarea name="description" name="form_description" id="form_description"></textarea></dd>
				<dt>Spieldauer:*</dt><dd>ca. <input type="text" name="length" id="form_length" value="',$nfos["duration"],'" size="3" style="text-align:center; width:auto;" class="text" /> min</dd>
				<dt>Seitenverhltnis:</dt><dd><select name="ar" id="form_ar">
					<option value="-1" selected="selected">-- bitte w&auml;hlen --</option>';
			
			foreach($ars as $ar) {
				echo'<option>',$ar,'</option>';
			}
			
			echo'</select></dd>
			<dt>Farbe:*</dt><dd>
			<select name="color" id="form_color">
				<option value="-1">-- bitte w&auml;hlen --</option>
				<option value="1"',(isset($nfos["color"]) && (count($nfos["color"]) == 1 && in_array("Color",$nfos["color"]))?' selected="selected"':''),'">Farbe</option>
				<option value="2"',(isset($nfos["color"]) && (count($nfos["color"]) == 2 && in_array("Color",$nfos["color"]) && in_array("Black and White",$nfos["color"]))?' selected="selected"':''),'">Farbe, Schwarz-Weiss</option>
				<option value="0"',(isset($nfos["color"]) && (count($nfos["color"]) == 1 && in_array("Black and White",$nfos["color"]))?' selected="selected"':''),'">Schwarz-Weiss</option>
			</select>
			</dd>
			<dt>Land:</dt><dd><input type="text" autocomplete="off" name="countries" id="country" class="text" value="',str_ireplace(array_keys($config["lang_countries"]),array_values($config["lang_countries"]),$nfos["countries"]),'" />
			<span id="indicator_countries" style="display: none">
			  <img src="' , SCRIPT_URL , 'images/icon_loader.gif" alt="Working..." />
			</span>
			<div id="country_autocomplete" class="autosel" style="display:none;"></div>
			<script type="text/javascript" language="javascript" charset="utf-8">
			// <![CDATA[
			  new Ajax.Autocompleter(\'country\',\'country_autocomplete\',\'ajax.php\', {
				paramName: "value",
				minChars: 2,
				tokens: \',\',
				indicator: \'indicator_countries\',
				parameters:\'module=get_countries\'
				});
			// ]]>
			</script></dd>
			<dt>Genres:*</dt><dd><input type="text" name="genre" id="genres" class="text" value="',str_ireplace(array_keys($config["lang_genres"]),array_values($config["lang_genres"]),$nfos["genres"]),'" />
			<span id="indicator_genres" style="display: none;">
			  <img src="',SCRIPT_URL,'images/icon_loader.gif" alt="Working..." />
			</span>
			<div id="genres_autocomplete" class="autosel" style="display:none;"></div>
			<script type="text/javascript" language="javascript" charset="utf-8">
			// <![CDATA[
			  new Ajax.Autocompleter(\'genres\',\'genres_autocomplete\',\'ajax.php\', {
				paramName: "value",
				minChars: 2,
				tokens: \',\',
				indicator: \'indicator_genres\',
				parameters:\'module=get_genres\'
			  });
			// ]]>
			</script></dd>';
			
			if(isset($nfos["cinrel"])) {
				$cinrelIndex = 0;
				foreach($nfos["cinrel"] as $key => $cinreldate) {
					if($cinreldate["country"] == "Germany") {
						$cinrelIndex = $key;
					}
				}
				
				if($cinrelIndex != 0) {
					$date = $nfos["cinrel"][$cinrelIndex];
					
					$cinrel = formdate(mktime(0,0,0,$date["mon"],$date["day"],$date["year"]),"cinrel","date");
				} else {
					if(!empty($nfos["year"]) && is_numeric($nfos["year"])) {
						$cinrel = formdate(mktime(0,0,0,1,1,$imdbnfo->year()),"cinrel","date");
					} else {
						$cinrel = formdate("","cinrel","date");
					}
				}
			} else {
				$cinrel = formdate("","cinrel","date");
			}
			$streetrel = formdate("","streetrel","date");
			$ages = array(-1 => "-- bitte w&auml;hlen --", 0 => "ohne Altersbeschr&auml;nkung", 6 => "ab 6 Jahren", 12 => "ab 12 Jahren", 16 => "ab 16 Jahren", 18 => "keine Jugendfreigabe");
			echo'
			<dt>Altersfreigabe:*</dt><dd>
				<select name="age" id="form_age">';
					
					foreach($ages as $code => $text) {
						if($nfos["mpaa"] == $code) {
							echo"<option value=\"$code\" selected=\"selected\">$text</option>";
						} else {
							if($nfos["mpaa"] == "o.Al." && $code == 0) {
								echo"<option value=\"$code\" selected=\"selected\">$text</option>";
							} else {
								echo"<option value=\"$code\">$text</option>";
							}
						}
					}
					
				echo"</select>
			</dd>
			<dt>Kino-Release:</dt><dd>",$cinrel["day"]," ",$cinrel["mon"]," ",$cinrel["year"],"</dd>
			<dt>Street-Release:</dt><dd>",$streetrel["day"]," ",$streetrel["mon"]," ",$streetrel["year"],"</dd>
			<dt>Regie:</dt><dd><textarea name=\"directors\" id=\"directors\">";
				
			$directors = array();
			foreach($nfos["directors"] as $director) {
				$directors[] = $director["name"];
			}
			echo implode("\n",$directors);
			
			echo'</textarea></dd>
			<dt>Casting:</dt><dd><textarea name="casting" id="casting">';
			
			if(isset($nfos["casting"])) {
				$casting = array();
				
				foreach($nfos["casting"] as $cast) {
					$casting[] = $cast["name"]."=".str_ireplace(array_keys($config["lang_cast"]),array_values($config["lang_cast"]),$cast['role']);
				}
				echo implode("\n",$casting);
			}
			
			echo"</textarea><br /><em>Beispiel: Schauspieler=Charakter</em></dd>
			</dl>
			
			<h1>Kopieinformationen</h1>
			<dl class=\"form\">
				<dt>Kopieart:*</dt><dd><select name=\"copytype\" id=\"form_copytype\"><option value=\"-1\">-- bitte w&auml;hlen --</option>";
				
				foreach($copytypes as $ct) {
					echo"<option value=\"".$ct->copytype_id."\" >".htmlentities(stripslashes($ct->copytype_name))."</option>";
				}
				
				echo'</select></dd>
				<dt>Version:</dt><dd><input type="text" name="version" class="text" /></dd>
				<dt>Bemerkungen:</dt><dd><textarea name="notes"></textarea></dd>
				<dt>Sprachen:</dt><dd><ul id="languages"></ul><a href="javascript:new_getlangs(1);">Sprache hinzuf&uuml;gen</a></dd>';
					
				/*if(count($subs) > 0) {
					echo"<dt>Untertitel:</dt><dd><ul id=\"subs\">";
					
					foreach($subs as $sub) {
						echo"<li>".$sub->sub_lang."</li>";
					}
					
					echo"</ul></dd>";
				}*/
				
				echo '<dt>Backup:*</dt><dd><select name="backup" id="form_backup" onchange="javascript:showformfld(\'codec\',this,1);showformfld(\'rlsname\',this,1);">
					<option value="-1">-- bitte w&auml;hlen --</option>
					<option value="1">Ja</option>
					<option value="0">Nein</option>
				</select></dd>';
				
				echo'<dt id="codec_dt" style="display:none;">Codec:</dt>
				<dd id="codec_dd" style="display:none;"><select name="codec">
					<option value="0">-- bitte w&auml;hlen --</option>';
				
				foreach($codecs as $codec) {
					echo"<option value=\"$codec->codec_id\">".htmlentities(stripslashes($codec->codec_name))."</option>";
				}
				
				echo'</select><a </a></dd>
				<dt id="rlsname_dt" style="display:none;">Release-Name:</dt><dd id="rlsname_dd" style="display:none;"><input type="text" name="rlsname" class="text" /></dd>
				<dt>Extras:*</dt><dd><select name="extra" id="form_extras"><option value="-1">-- bitte w&auml;hlen --</option>';
			
				foreach($extras as $extra) {
					echo"<option value=\"$extra->extra_id\">".htmlentities(stripslashes($extra->extra_type))."</option>";
				}
				
				echo'</select></dd>
				<dt>Aktiv:*</dt><dd>
								<!--<input type=\"hidden\" name=\"active\" value=\"-1\" />-->
								<input type="radio" name="active" value="1" style="width:auto;" checked="checked" /> Aktiviert 
								<input type="radio" name="active" value="0" style="width:auto;" /> Deaktiviert
				</dd>
			</dl>
			
			<h1>Bilder</h1>
			<dl id=\"form\">
				<dt>Cover hochladen:</dt><dd><input type="file" name="coverup" id="coverup" style="height:26px;" /></dd>
				<dt>Backdrop hochladen:</dt><dd><input type="file" name="backdropup" id="backdropup" /></dd>
			</dl>
			
			<h1>Trailer &amp; Co.</h1>
			<p><em>momentan keine Trailer zu diesem Film</em></p>
			
			<dl class="form">
				<dt>&nbsp;</dt><dd><input type="submit" class="submit" name="save" value="Speichern" /> <input type="reset" class="reset" value="Zur&uuml;cksetzen" /></dd>
			</dl>
			</form>
		</div>
	</div>';
	
	require_once("../overall_footer.php");
}



/*
 * edit_movielang()
 */
function edit_movie_getlangs() {
		require_once("../config.php");
		
		require_once("check_admin.php");

		$conn = new mySQL();
		
		$afs = $conn->select("SELECT af_name
									,af_canals
									,af_id
								FROM ".DB_TBLPRE."audioformat
							ORDER BY af_name,af_canals");
	
		$i = $_GET["addlangs"];
		
			echo"<li style=\"list-style:none;\"><input type=\"text\" class=\"text\" autocomplete=\"off\" name=\"lang[]\" id=\"lang$i\" style=\"width:150px;\" />
			<div id=\"lang".$i."update\" class=\"autosel\" style=\"display:none;\"></div>
			<script type=\"text/javascript\" language=\"javascript\" charset=\"utf-8\">
			// <![CDATA[
			  new Ajax.Autocompleter('lang".$i."','lang".$i."update','ajax.php', {
				paramName: \"value\",
				minChars: 2,
				indicator: 'indicator_lang$i',
				parameters: 'module=get_languages'
				});
			// ]]>
			</script>
			
			<select name=\"af[]\" style=\"width:auto;\" id=\"af".$i."\"><option value=\"0\">--</option>";
			
			foreach($afs as $af) {
				echo"<option value=\"".$af->af_id."\">".$af->af_name." ".$af->af_canals."</option>";
			}
			echo"</select>
			<span id=\"indicator_lang$i\" style=\"display: none\">
			  <img src=\"../images/icon_loader.gif\" alt=\"Working...\" />
			</span></li>";
}

?>