<?php

error_reporting(E_ALL);

session_start();

require_once("../config.php");

require_once(ABSPATH."admin/check_admin.php");

require_once(ABSPATH."includes/mysql.class.php");

switch($_GET["module"]) {
	case "overview": users_overview();
		break;
	case "user": users_showuser();
		break;
	case "edituser": users_edituser();
		break;
	case "add": users_add();
		break;
	default: users_overview();
		break;
}

function users_overview() {
	$conn = new mySQL();
	
	$header_title = "Benutzer&uuml;bersicht";
	$header_session = false;
	require_once(ABSPATH."overall_header.php");
	
	$getusers = $conn->select("SELECT user_nickname
							  		 ,user_name
									 ,user_firstname
									 ,user_id 
									 ,user_street
									 ,user_zip
									 ,user_location
									 ,user_phone
									 ,user_mail
									 ,user_active
									 ,user_type
									 ,user_registered
							   FROM ".DB_TBLPRE."user 
							   ORDER BY user_name,user_firstname");
	
	echo'<div id="movie_header" style="background-image:url(\'',SCRIPT_URL,'images/backdrop_none.jpg\');">
		<div id="movie_mainheader">
			<strong>Benutzerbersicht</strong>
			<em>Eine bersicht ber alle registrierten Benutzer und deren Ausleihen.</em>
		</div>
	</div>
	<div id="content">
	<table class="datatable" cellspacing="0" style="margin:auto;">
		<tr>
			<th>ID</th>
			<th>Nachname</th>
			<th>Vorname</th>
			<th>Adresse</th>
			<th>Telefon</th>
			<th>Mail</th>
			<th>Typ</th>
			<th>Ausgeliehen</th>
			<th></th>
			<th></th>
		</tr>';
	
	foreach($getusers as $user) {
		$movies = $conn->select("SELECT movie_title
									   ,movie_id 
								   FROM ".DB_TBLPRE."borrowed b
								   JOIN ".DB_TBLPRE."movie m ON m.movie_id = b.bor_movieidfs
								  WHERE bor_useridfs = '$user->user_id' 
								    AND bor_enddate IS NULL");
		
		echo "<tr>
			<td style=\"text-align:right;\">",htmlentities(stripslashes($user->user_id)),"</td>
			<td>",htmlentities(stripslashes($user->user_name)),"</td>
			<td>",htmlentities(stripslashes($user->user_firstname)),"</td>
			<td>",((!empty($user->user_street))?htmlentities(stripslashes($user->user_street)).",<br />":""),$user->user_zip," ",htmlentities(stripslashes($user->user_location)),"</td>
			<td>$user->user_phone</td>
			<td>",((!empty($user->user_mail))?"<a href=\"mailto:$user->user_mail\">$user->user_mail</a>":""),"</td>
			<td>"; switch($user->user_type) { case 1: echo"Admin"; break; case 3: echo"Ausleiher"; break; case 0: echo"Benutzer"; break; default: echo"Unbekannt"; break; } echo"</td>
			<td style=\"white-space:normal;\">"; 
			
			$bormovies = array(); 
			foreach($movies as $m) { $bormovies[] = "<a href=\"../show.php?module=movie&amp;movie=$m->movie_id\" onmouseover=\"showTooltip('".$m->movie_title."','tooltip')\" onmouseout=\"hideTooltip()\">".$m->movie_id."</a>"; } 
			echo implode(", ",$bormovies),"</td>
			<td><a href=\"users.php?module=user&amp;user=$user->user_id\"><img src=\"../images/icon_user.png\" alt=\"Einsehen\" style=\"border:none;\" /></a></td>
			<td><a href=\"users.php?module=edituser&amp;user=$user->user_id\"><img src=\"../images/icon_edit.png\" alt=\"Editieren\" style=\"border:none;\" /></a></td>
		</tr>";
	}
	
	echo"</table>";
	
	require_once(ABSPATH."overall_footer.php");
}


function users_edituser() {
	$conn = new mySQL();

	$header_title = "Benutzer bearbeiten";
	$header_session = false;
	require_once(ABSPATH."overall_header.php");
	
	echo"<form method=\"post\" action=\"#\">
		<dl>
			<dt>Name:</dt><dd><input type=\"text\" /></dd>
			<dt>Vorname:</dt><dd><input type=\"text\" /></dd>
		</dl>
	</form>";
	
	require_once(ABSPATH."overall_footer.php");
}

function users_add() {
	$conn = new mySQL();

	if(isset($_POST['save'])) {
		if(!empty($_POST["name"]) && !empty($_POST["surname"]) && !empty($_POST['mail']) && in_array($_POST["type"],array(0,GRP_ADMIN,GRP_LENDER))) {
			$conn->query("INSERT INTO ".DB_TBLPRE."user (user_nickname
														,user_firstname
														,user_name
														,user_street
														,user_zip
														,user_location
														,user_phone
														,user_mail
														,user_password
														,user_registered
														,user_active
														,user_type
														,user_uniqid
													) VALUES (
														 NULL
														,'".mysql_real_escape_string(strip_tags($_POST['surname']))."'
														,'".mysql_real_escape_string(strip_tags($_POST['name']))."'
														,".((!empty($_POST['street']))?"'".mysql_real_escape_string(strip_tags($_POST['street']))."'":"NULL")."
														,".((!empty($_POST['zip']))?"'".mysql_real_escape_string(strip_tags($_POST['zip']))."'":"NULL")."
														,".((!empty($_POST['location']))?"'".mysql_real_escape_string(strip_tags($_POST['location']))."'":"NULL")."
														,".((!empty($_POST['phone']))?"'".mysql_real_escape_string(strip_tags($_POST['phone']))."'":"NULL")."
														,'".mysql_real_escape_string(strip_tags($_POST['mail']))."'
														,NULL
														,UNIX_TIMESTAMP()
														,'0'
														,".mysql_real_escape_string(strip_tags($_POST['type']))."
														,'".uniqid()."'
													)");
			
			$message = '<div class="msg_success">Benutzer wurde erfolgreich angelegt.</div>';
		} else {
			$message = '<div class="msg_error">Der Benutzer wurde nicht angelegt. Es wurden nicht alle notwendigen Angaben ausgef&uuml;llt.</div>';
		}
	} else {
		$message = '';
	}

	$header_title = "Benutzer anlegen";
	$header_session = false;
	require_once(ABSPATH . "overall_header.php");
	
	echo'<div id="movie_header" style="background-image:url(\'',SCRIPT_URL,'images/backdrop_none.jpg\');">
		<div id="movie_mainheader">
			<strong>Benutzer hinzufgen</strong>
			<em>Einen neuen Benutzer im System anlegen.</em>
		</div>
	</div>
	<div id="content">';

	echo $message;

	echo"<form method=\"post\" action=\"#\">
		<h1>Benutzerangaben</h1>
		<dl class=\"form\">
			<dt>Name:</dt><dd><input type=\"text\" class=\"text\" name=\"name\" /></dd>
			<dt>Vorname:</dt><dd><input type=\"text\" class=\"text\" name=\"surname\" /></dd>
			<dt>Typ:</dt><dd><select name=\"type\"><option value=\"0\">Benutzer</option><option value=\"" . GRP_ADMIN . "\">Administrator</option><option value=\"". GRP_LENDER ."\">Ausleiher</option></select></dd>
		</dl>
		<h1>Adresse</h1>
		<dl class=\"form\">
			<dt>Strasse</dt><dd><input type=\"text\" class=\"text\" name=\"street\" /></dd>
			<dt>PLZ / Ort:</dt><dd><input type=\"text\" maxlength=\"5\" size=\"5\" class=\"text\" name=\"zip\" style=\"width:50px;\" /> <input type=\"text\" class=\"text\" name=\"location\" style=\"width:231px;\" /></dd>
		</dl>
		<h1>Kontakt</h1>
		<dl class=\"form\">
			<dt>E-Mail:</dt><dd><input type=\"text\" class=\"text\" name=\"mail\" /></dd>
			<dt>Telefon:</dt><dd><input type=\"text\" class=\"text\" name=\"phone\" /></dd>
			<dt>&nbsp;</dt><dd><input type=\"submit\" value=\"Benutzer speichern\" name=\"save\"  class=\"submit\" /> <input type=\"reset\" value=\"Zur&uuml;cksetzen\" class=\"reset\" />
		</dl>
	</form>";
	
	require_once(ABSPATH."overall_footer.php");
}




function users_showuser() {
	if(!isset($_GET['user'])) { $_GET['user'] = ''; }

	$header_title = "Benutzer";
	$header_session = false;
	require_once(ABSPATH . 'overall_header.php');
	
	$conn = new mySQL;
	
	$getuser = $conn->select("SELECT user_id
									,user_firstname
									,user_name
									,user_street
									,user_zip
									,user_location
									,user_phone
									,user_mail
									,user_registered
									,user_active
									,user_type
							FROM ".DB_TBLPRE."user WHERE user_id = '".mysql_real_escape_string(strip_tags($_GET['user']))."'");
	
	if(count($getuser) > 0) {
		$u = $getuser[0];
		
		echo'<h3><span>Benutzerangaben</span></h3>
		<dl id="show">
			<dt>Name:</dt><dd>',htmlentities(stripslashes($u->user_name)),'</dd>
			<dt>Vorname:</dt><dd>',htmlentities(stripslashes($u->user_firstname)),'</dd>
			<dt>Adresse:</dt><dd>',htmlentities(stripslashes($u->user_street)),'<br />',htmlentities(stripslashes($u->user_zip)),' ',htmlentities(stripslashes($u->user_location)),'</dd>
			<dt>Telefon:</dt><dd>',htmlentities(stripslashes($u->user_phone)),'</dd>
			<dt>E-Mail:</dt><dd><a href="mailto:',htmlentities(stripslashes($u->user_mail)),'">',htmlentities(stripslashes($u->user_mail)),'</a></dd>
			<dt>Registriert seit:</dt><dd>',date(DATE_FORMAT,$u->user_registered),'</dd>
		</dl>
		<h3><span>Rechte</span></h3>
		<dl id="show">
			<dt>Typ:</dt><dd>',htmlentities(stripslashes($u->user_type)),'</dd>
			<dt>Aktiviert:</dt><dd>',(($u->user_active == 0)?'nein':'ja'),'</dd>
		</dl>
		<h3><span>Ausleihen</span></h3>';
			
		$rents = $conn->select("SELECT movie_id, movie_title, bor_useridfs, bor_startdate, bor_enddate 
								FROM ".DB_TBLPRE."borrowed b
								JOIN ".DB_TBLPRE."movie m ON m.movie_id = b.bor_movieidfs
								WHERE bor_useridfs = '".$u->user_id."'");
		
		if(count($rents) > 0) {
			echo'<table class="datatable" cellspacing="0">
				<tr>
					<th>Film-ID</th>
					<th>Film</th>
					<th>Von</th>
					<th>Bis</th>
					<th>Dauer</th>
				</tr>';
			
			
			
			foreach($rents as $r) {
				echo'<tr>
					<td style="text-align:right;">',$r->movie_id,'</td>
					<td><a href="../show.php?module=movie&movie=',$r->movie_id,'">',htmlentities(stripslashes($r->movie_title)),'</a></td>
					<td style="text-align:center;">',date(DATE_FORMAT, $r->bor_startdate),'</td>
					<td style="text-align:center;">',(($r->bor_enddate !== null)?date(DATE_FORMAT, $r->bor_enddate):'-'),'</td>
					<td style="text-align:right;">',(($r->bor_enddate !== null)?ceil(($r->bor_enddate-$r->bor_startdate)/(3600*24)) . ' Tage':ceil((time()-$r->bor_startdate)/(3600*24)) . ' Tage'),'</td>
				</tr>';
			}
			
			echo'</table>';
		} else {
			echo'<p>bisher keine Ausleihen</p>'; 
		}
	} else {
		echo'<div class="msg_error">Der Benutzer mit der ID "'.$_GET['user'].'" existiert nicht in der Datenbank.</div>';
	}
	
	require_once(ABSPATH . 'overall_footer.php');
}