<?php

require_once(ABSPATH . 'classes/popo/trailer.class.php');
require_once(ABSPATH . 'classes/common/utils.class.php');

class TrailerController {
	private $conn;
	
	public function __construct($conn) {
		$this->conn = $conn;
	}
	
	public function getTrailersByMovieId($movieid) {
		$movieIdCleaned = Utils::escape($movieid);
		
		if(empty($movieIdCleaned) || !is_numeric($movieIdCleaned)) {
			throw new Exception('Keine gltige Movie-ID');
		}
	
		$trailerList = array();
		
		$trailers = $this->conn->select("SELECT trailer_id, trailer_link, trailer_movieidfk FROM ".DB_TBLPRE."trailer WHERE trailer_movieidfk = '".$movieIdCleaned."'");
	
		foreach($trailers as $t) {
			$trailerList[] = new Trailer($t->trailer_id, $t->trailer_link, $t->trailer_movieidfk);
		}
		
		return $trailerList;
	}
	
	public function saveTrailer($trailer) {
		$this->conn->query("INSERT INTO ".DB_TBLPRE."trailer (trailer_link, trailer_movieidfk) VALUES ('".Utils::escape($trailer->getLink())."','".Utils::escape($trailer->getMovieIdfk())."')");
	}
}

?>