<?php

error_reporting(E_ALL);

require_once(dirname(__FILE__) . '/../config.php');
require_once('ThumbLib.inc.php');

/*
 * resizer
 */
function resizer($size) {
	$unit = array("Bytes","KB","MB","GB","TB");
	$i = 0;
	while(($size/1024) > 1) {
		$size = $size/1024;
		$i++;
	}
	$newsize = round($size,2)." ".$unit[$i];
	return $newsize;
}


/*
 * formdate()
 */
function formdate($time,$name,$class) {
	//echo"$name-TIME: ".var_dump($time).",";
	$formdate = array();
	
	if(!empty($time)) {
		$day = date('d',$time);
		$month = date('m',$time);
		$year = date('Y',$time);
	} else {
		$day = 0;
		$month = 0;
		$year = 0;
	}
	
	/* Day */
	$formday = "<select class=\"$class\" style=\"width:60px;\" name=\"".$name."[day]\">\n
		<option".((empty($time))?" selected=\"selected\"":"")." value=\"0\">--</option>\n";
		
	for($i=1; $i <= 31; $i++) {
		$formday .= "\t<option".((!empty($time) && $day == $i)?" selected=\"selected\"":"").">$i</option>\n";
	}
	
	$formday .= "</select>";
	
	
	/* Month */
	$formmon = "<select class=\"$class\" style=\"width:60px;\" name=\"".$name."[month]\">\n
		<option".((empty($time))?" selected=\"selected\"":"")." value=\"0\">--</option>\n";
		
	for($i=1; $i <= 12; $i++) {
		$formmon .= "\t<option".((!empty($time) && $month == $i)?" selected=\"selected\"":"").">$i</option>\n";
	}
	
	$formmon .= "</select>";
	
	
	/* Year */	
	$formyear = "<select class=\"$class\" style=\"width:85px;\" name=\"".$name."[year]\">
		<option".((empty($time))?" selected=\"selected\"":"")." value=\"0\">----</option>\n";
		
	for($i=date('Y'); $i >= date('Y')-100; $i--) {
		$formyear .= "\t<option".((!empty($time) && $year == $i)?" selected=\"selected\"":"").">$i</option>\n";
	}
	//echo "HIER ------------------ ".$day.".".$month.".".$year;
	$formyear .= "</select>";
	
	$formdate["day"] = $formday;
	$formdate["mon"] = $formmon;
	$formdate["year"] = $formyear;
	
	return $formdate;
}


/* MUSS-Felder validieren */
function multi_empty($tocheck) {
	foreach($tocheck as $check) {
		if(!isset($check) || empty($check)) {
			return true;
		}
	}
	
	return false;
}

/* CHECK FORM */
/* $checkflds[] = array("name" => name,"disp" => disp,"value" => value,"h_value" => h_value,"l_value" => l_value,"s_value" => s_value,"s_value_in" => s_value_in,"empty" => empty, "min_l" => min_length, "max_l" => max_length); */
function form_check($checkflds) {
	$return = array("ok" => true, "messages" => array());
	
	foreach($checkflds as $fld) {
		# $fld["name"] = name-attribute in formular
		# $fld["disp"] = Name to show the field
		# $fld["value"] = value of Field
		# $fld["h_value"] = String, int, double, ...
		# $fld["l_value"] = String, int, double, ...
		# $fld["s_value"] = Array with allowed values
		# $fld["s_value_in"] = In: true / NOT in: false
		# $fld["empty"] = Can be empty: true / Can NOT be empty: false
		
		$fldgo = true;
		
		// Feld leer?
		if($fldgo && isset($fld["empty"]) && !$fld["empty"]) {
			if(empty($fld["value"])) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." darf nicht leer sein.";
				$return["ok"] = false;
				$fldgo = false;
			}
		} 
		
		// Is numeric?
		if($fldgo && isset($fld["numeric"]) && $fld["numeric"]) {
			if(!is_numeric($fld["value"])) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." muss numerisch sein.";
				$return["ok"] = false;
				$fldgo = false;
			}
		} 
		
		// Minimal length
		if($fldgo && isset($fld["min_l"]) && !empty($fld["min_l"])) {
			if(strlen($fld["value"]) < $fld["min_l"]) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." muss mindestens ".$fld["min_l"]." Stellen lang sein.";
				$return["ok"] = false;
				$fldgo = false;
			}
		}
		
		// Maximal length
		if($fldgo && isset($fld["max_l"]) && !empty($fld["max_l"])) {
			if(strlen($fld["value"]) > $fld["max_l"]) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." darf nicht l&auml;nger als ".$fld["max_l"]." Stellen sein.";
				$return["ok"] = false;
				$fldgo = false;
			}
		}
		
		// Low value
		if($fldgo && isset($fld["l_value"]) && !empty($fld["l_value"])) {
			if($fld["value"] < $fld["l_value"]) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." enth&auml;lt einen zu tiefen (Low value) Wert.";
				$return["ok"] = false;
				$fldgo = false;
			}
		}
		
		// High value
		if($fldgo && isset($fld["h_value"]) && !empty($fld["h_value"])) {
			if($fld["value"] > $fld["h_value"]) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." enth&auml;lt einen zu hohen (High value) Wert.";
				$return["ok"] = false;
				$fldgo = false;
			}
		}
		
		// Array value
		if($fldgo && isset($fld["s_value"]) && !empty($fld["s_value"]) && isset($fld["s_value_in"]) && !empty($fld["s_value_in"])) {
			if($fld["s_value_in"]) {
				if(!in_array($fld["value"],$fld["s_value"])) {
					$return["messages"][] = "Das Feld ".$fld["disp"]." enth&auml;lt einen ung&uuml;ltigen Wert (".$fld["value"].", inArray value).";
					$return["ok"] = false;
					$fldgo = false;
				}
			} else {
				if(in_array($fld["value"],$fld["s_value"])) {
					$return["messages"][] = "Das Feld ".$fld["disp"]." enth&auml;lt einen ung&uuml;ltigen Wert (".$fld["value"].", !inArray value).";
					$return["ok"] = false;
					$fldgo = false;
				}
			}
		} else if(isset($fld["s_value"]) && !empty($fld["s_value"]) && (!isset($fld["s_value_in"]))) {
			/* Parameter s_value_in Fehlt -> Abbruch */
			$return["messages"][] = "<strong>Systemfehler:</strong> Es muss nach s_value in Feld ".$fld["disp"]." gepr&uuml;ft werden. s_value_in ist jedoch nicht gesetzt. -&gt; Abbruch der &Uuml;berpr&uuml;fung";
			$return["ok"] = false;
			
			return $return;
		}
		
		// Checkdate (nur wenn mit der Funktion formdate() prepared)
		if($fldgo && isset($fld["checkdate"]) && !empty($fld["checkdate"])) {
			if(!checkdate($fld["value"]["mon"],$fld["value"]["day"],$fld["value"]["year"])) {
				$return["messages"][] = "Das Feld ".$fld["disp"]." enth&auml;lt ein ung&uuml;ltiges Datum.";
				$return["ok"] = false;
				$fldgo = false;
			}
		}
	}
	
	return $return;
}


function getCover($coverName,$width) {
	if(!file_exists(ABSPATH . COVERS_PATH . $width . '/' . $coverName)) {
		try {
			$thumb = PhpThumbFactory::create(ABSPATH . COVERS_PATH . $coverName);
		} catch (Exception $e) {
			 // handle error here however you'd like
			 echo $e->getMessage();
		}

		// do your manipulations
		$thumb->resize($width,1000);
		
		if(!is_dir(ABSPATH . COVERS_PATH . $width)) {
			mkdir(ABSPATH . COVERS_PATH . $width);
		}
		
		$thumb->save(ABSPATH . COVERS_PATH . $width . '/' . $coverName);
	}
	
	return COVERS_PATH . $width . '/' . $coverName;
}

	function formatUrlFriendly($str) {
		$search = array("","","","?","!",";"," ","(",")",".",":","'","\"");
		$reppl = array("a","o","u","_","_","_","_","_","_","_","_","_","_");
		
		if(count($search) != count($reppl))
			echo"ERROR: search and reppl array not same size";
		
		return str_ireplace($search,$reppl,strtolower($str));
	}

?>