<?php

/*
 *  overall_header.php
 * ==========================================================================
 *  Parameters:
 *   - $header_session: Eine Session starten
 *   - $header_title: Einen Titel definieren
 */

/* Soll eine Session gestartet werden */
if(!isset($header_session)) { $header_session = true; }
if($header_session) { 
	session_start();
	if(!isset($_SESSION["logged_in"])) { $_SESSION["logged_in"] = false; }
}

if(!isset($header_bodyarg)) { $header_bodyarg = ""; } else { $header_bodyarg = " ".$header_bodyarg; }
if(!isset($header_rootpath)) { $header_rootpath = ""; }
if(!isset($header_metatags)) { $header_metatags = ""; }

/* Seitentitel */
$header_title = (isset($header_title))?SITENAME." | $header_title":SITENAME;

echo"<?xml version=\"1.0\" encoding=\"",CHARSET,"\"?>";
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/xhtml; charset=<?php echo CHARSET; ?>" />
	
		<title><?php echo $header_title; ?></title>
		
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <meta http-equiv="Content-Script-Type" content="text/javascript" />
        <?php echo $header_metatags; ?>

        <link rel="alternate" href="<?php echo SCRIPT_URL; ?>rss.php?module=movies" title="Die neusten Filme" type="application/rss+xml" />
		<?php
			if(isset($header_rssfeeds)) {
				foreach($header_rssfeeds as $rssfeed)
					echo'<link rel="alternate" href="',$rssfeed->getFeedUrl(),'" title="',$rssfeed->getFeedTitle(),'" type="application/rss+xml" />';
			}
		?>
        
       	<link rel="stylesheet" href="<?php echo SCRIPT_URL; ?>css/style.css" type="text/css" media="screen" />
        <link rel="stylesheet" href="<?php echo SCRIPT_URL; ?>css/shadowbox.css" type="text/css" media="screen" />
		
		<link rel="shortcut icon" href="<?php echo SCRIPT_URL; ?>images/favicon.ico" /> 
		<link rel="search" type="application/opensearchdescription+xml" title="MyMovies" href="<?php echo SCRIPT_URL; ?>opensearch.xml" />
        
		<script type="text/javascript">
			var scriptUrl = "<?php echo SCRIPT_URL; ?>";
		</script>
		<script src="<?php echo SCRIPT_URL; ?>js/prototype.js" type="text/javascript"></script>
		<script src="<?php echo SCRIPT_URL; ?>js/scriptaculous.js" type="text/javascript"></script>
		<script src="<?php echo SCRIPT_URL; ?>js/functions.js" type="text/javascript"></script>
		<script src="<?php echo SCRIPT_URL; ?>js/shadowbox.js" type="text/javascript"></script>
		<script src="<?php echo SCRIPT_URL; ?>js/tooltip.js" type="text/javascript"></script>
		<script type="text/javascript">
			Shadowbox.init({
				language: 'de',
				players:  ['img', 'html', 'qt', 'wmp', 'swf', 'flv']
			});
		
			function clearFocus(elmnt,value) {
				if(elmnt.value == value) {
					elmnt.value = '';
					elmnt.style.color = '#222222';
				}
			}
			
			function clearBlur(elmnt,value) {
				if(elmnt.value == '') {
					elmnt.value = value;
					elmnt.style.color = '#999999';
				}
			}
        </script>
	</head>
	<body<?php echo $header_bodyarg; ?>>
	<div id="menubar">
		
		<form method="get" action="<?php echo SCRIPT_URL; ?>search.php">
			<div><input type="text" name="q" id="searchfld" value="Suche" onfocus="clearFocus(this,'Suche');" onblur="clearBlur(this,'Suche');" /></div>
		</form>
		
		<div id="loginreg">
			<?php
			
			if(!$_SESSION["logged_in"]) {
				echo'<a href="' , SCRIPT_URL , ((FRIENDLY_URL)?"login":"login.php") , '">Anmelden</a> | <a href="' , SCRIPT_URL , ((FRIENDLY_URL)?"register":'signup.php'),'">Registrieren</a>';
			} else {
				echo'<a href="' , SCRIPT_URL , ((FRIENDLY_URL)?"myaccount":"ucp.php") , '">',$_SESSION['user_name'],'</a> | <a href="' , SCRIPT_URL , ((FRIENDLY_URL)?"logout":"login.php?module=logout"), '"><img src="' , SCRIPT_URL , 'images/icon_logout.png" alt="Abmelden" style="vertical-align:middle;" /></a>';
			}
			//var_dump($_SESSION);
			?>
		</div>
		
		<a href="<?php echo SCRIPT_URL; ?>" id="homelink"></a>
		<ul>
			<li><a href="<?php echo SCRIPT_URL , ((FRIENDLY_URL)?"show/movielist":"show.php?module=movielist"); ?>">Filme A-Z</a></li>
			<li><a href="<?php echo SCRIPT_URL , ((FRIENDLY_URL)?"show/genres":"show.php?module=genres"); ?>">Genres</a></li>
			<li><a href="<?php echo SCRIPT_URL , ((FRIENDLY_URL)?"random":"random.php"); ?>">Zufall</a></li>
			<?php
			
			if($_SESSION["logged_in"])
				echo'<li><a href="' , SCRIPT_URL , ((FRIENDLY_URL)?"myaccount":"ucp.php") , '">Mein Konto</a></li>';
			
			if($_SESSION['logged_in'] && $_SESSION['user_type'] == GRP_ADMIN)
				echo'<li><a href="' , SCRIPT_URL , 'admin">Administration</a></li>';
			
			?>
		</ul>
		
	</div>
	
		
		