<?php

/*************************************************************/
/*                                                           */
/*  File: rss.php                                            */
/*  Version: 0.2                                             */
/*  Last modified: 24.06.2008                                */
/*                                                           */
/*  Description:                                             */
/*  In dieser Datei sind die Funktionen, welche die          */
/*  RSS-Feeds von den veschiedenen Bereichen und Kategorien  */
/*  genrieren.                                               */
/*                                                           */
/*  CHANGELOG:                                               */
/*                                                           */
/*  v0.2 - 24.06.2008                                        */
/*    - Fehledmeldung hinzugefuegt                           */
/*    - RSS-Feed fuer die Artikel-Sektion hinzugefuegt       */
/*                                                           */
/*************************************************************/

require_once("config.php");

require_once(ABSPATH."includes/feedcreator.class.php");
require_once(ABSPATH."includes/mysql.class.php");

// Den angefordereten Feed generieren
if(!isset($_GET["module"]))
{
	$_GET["module"] = false;
}

switch($_GET["module"])
{
	case "genre": feed_genres();
		break;
	case "movies": feed_newestmovies();
		break;
	default: feed_error("Ung&uuml;ltiger Feed","Der von dir gew&auml;hlte RSS-Feed ist (momentan) nicht verf&uuml;gbar. Wenn du einem regul&auml;ren Link auf dieser Seite gefolgt bist, so melde diesen Fehler bitte einem Administrator.");
		break;
}



//
// RSS-Feed generieren für: News
//
function feed_newestmovies() {	
	$conn = new mySQL();
	
	//define channel
	$rss = new UniversalFeedCreator();
	$rss->useCached();
	$rss->title = SITENAME." | Die neusten Filme";
	$rss->description = "Die neusten Filme auf ".SITENAME;
	$rss->link = SCRIPT_URL;
	$rss->syndicationURL = SCRIPT_URL;
	
	
	$res = $conn->select("SELECT movie_id
						 		,movie_title
								,movie_description
								,movie_entrydate
							FROM ".DB_TBLPRE."movie
						ORDER BY movie_entrydate DESC LIMIT 0,5");
						
	foreach($res as $data) {
		$item = new FeedItem();
		$item->title = $data->movie_title;
		$item->link = SCRIPT_URL."show.php?module=movie&movie=".$data->movie_id;
		$item->description = stripslashes(htmlentities($data->movie_description));
		$item->date = $data->movie_entrydate;
		$item->source = SCRIPT_URL;
		$item->descriptionTruncSize = 500;
		
		$rss->addItem($item);
	}
	
	//Valid parameters are RSS0.91, RSS1.0, RSS2.0, PIE0.1 (deprecated),
	// MBOX, OPML, ATOM, ATOM1.0, ATOM0.3, HTML, JS
	
	$rss->outputFeed("RSS2.0");
}




//
// RSS-Feed generieren für: News-Kategorie
//
function feed_genres() {
	if(isset($_GET["genre"]) && !empty($_GET["genre"])) {
		$conn = new mySQL();
		
		$genredb = $conn->select("SELECT genre_name, genre_id FROM ".DB_TBLPRE."genre WHERE genre_id = '".mysql_real_escape_string(strip_tags($_GET["genre"]))."'");
		$genre = $genredb[0];
		
		$result = $conn->select("SELECT movie_id
									   ,movie_title
									   ,movie_description
									   ,movie_entrydate
								   FROM ".DB_TBLPRE."moviegenre mg
								   JOIN ".DB_TBLPRE."movie m ON m.movie_id = mg.moviegenre_movieidfs
								  WHERE mg.moviegenre_genreidfs = '".$genre->genre_id."'
							   ORDER BY m.movie_entrydate DESC
								  LIMIT 0,5");
		
		//define channel
		$rss = new UniversalFeedCreator();
		$rss->useCached();
		$rss->title = SITENAME." | Genre: ".stripslashes(htmlentities($genre->genre_name));
		$rss->description = "Die neusten Filme aus dem Genre ".stripslashes(htmlentities($genre->genre_name))." von ".SITENAME;
		$rss->link = SCRIPT_URL;
		$rss->syndicationURL = SCRIPT_URL;
		
		foreach($result as $m) {
				$item = new FeedItem();
				$item->title = stripslashes(htmlentities($m->movie_title));
				$item->link = SCRIPT_URL."show.php?module=movie&movie=".$m->movie_id;
				$item->description = stripslashes(htmlentities($m->movie_description));
				$item->date = $m->movie_entrydate;
				$item->source = SCRIPT_URL;
				$item->descriptionTruncSize = 500;
				
				$rss->addItem($item);
		}
			
		//Valid parameters are RSS0.91, RSS1.0, RSS2.0, PIE0.1 (deprecated),
		// MBOX, OPML, ATOM, ATOM1.0, ATOM0.3, HTML, JS
		
		$rss->outputFeed("RSS2.0"); 
		//$rss->saveFeed("ATOM1.0", "news/feed.xml");
	} else {
		echo"Fehler beim generieren des Feeds: Keine Genre-ID angegeben.";
	}
}



//
// Bei einem ungueltigen Modul
//
function feed_error($title,$message)
{
	$header_site_title = "&raquo; Systemmitteilung";
	require_once("overall_header.php");
	
	// create instance of Template object
	$t = new KTemplate("templates/".$template."/sysmessage.html");
	
	$t->messagetitle = $title;
	$t->message = $message;
	
	
	// print the results
	$t->out();
	
	require_once("overall_footer.php");
}

?>