<?php

error_reporting(E_ALL);

require_once("config.php");

require_once(ABSPATH . 'classes/common/mysql.class.php');
require_once(ABSPATH . 'classes/controller/trailerController.class.php');
require_once(ABSPATH . 'includes/functions.inc.php');

if(!isset($_GET["module"])) { $_GET["module"] = ""; }

switch($_GET["module"]) {
	case "movie": show_movie();
		break;
	case "movielist": show_movielist();
		break;
	case "genres": show_genres();
		break;
	case "actor": show_actor();
		break;
	case "casting": show_casting();
		break;
	default: echo"Was willst du dir ansehen?";
		echo'<pre>';var_dump($_GET);var_dump($_SERVER);echo'</pre>';
		break;
}

function show_movie() {
	$conn = new mySQL();
	$trailerController = new TrailerController($conn);
	
	$movie = $conn->select("SELECT movie_id
								  ,movie_title
								  ,movie_version
								  ,movie_description
								  ,movie_notes
								  ,movie_length
								  ,movie_age
								  ,movie_entrydate
								  ,movie_cinreldate
								  ,movie_reldate
								  ,pic_cover.pic_filename movie_covername
								  ,pic_bdrop.pic_filename movie_backdrop
								  ,movie_backdropposy
								  ,copytype_name movie_copytype
								  ,codec_name movie_codec
								  ,codec_description movie_codecdes
								  ,movie_backup
								  ,extra_type movie_extra
								  ,movie_active
								  ,movie_aspectratio
								  ,movie_color
							   FROM ".DB_TBLPRE."movie mo
						  LEFT JOIN ".DB_TBLPRE."picture pic_cover ON pic_cover.pic_id = mo.movie_coveridfs
						  LEFT JOIN ".DB_TBLPRE."picture pic_bdrop ON pic_bdrop.pic_id = mo.movie_backdropidfs
						  LEFT JOIN ".DB_TBLPRE."copytype ct ON ct.copytype_id = mo.movie_copytypeidfs
						  LEFT JOIN ".DB_TBLPRE."codec co ON co.codec_id = mo.movie_codecidfs
						  LEFT JOIN ".DB_TBLPRE."extra ex ON ex.extra_id = mo.movie_extraidfs
							   WHERE movie_id = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
	
	if(count($movie) > 0) {
		$header_bodyarg = "onload=\"javascript:get_comments(".$_GET["movie"].");\"";
		$header_metatags = "<meta name=\"title\" content=\"".htmlentities(stripslashes($movie[0]->movie_title))." | ".SITENAME."\" />
		<meta name=\"description\" content=\"".htmlentities(stripslashes($movie[0]->movie_description))."\" />
		".((!empty($movie[0]->movie_covername) && file_exists("covers/".$movie[0]->movie_covername))?"<link rel=\"image_src\" href=\"".SCRIPT_URL . getCover($movie[0]->movie_covername,180)."\" />":"");
		$header_title = htmlentities(stripslashes($movie[0]->movie_title));
		require_once("overall_header.php");
	
		$langs = $conn->select("SELECT lang_id
									  ,lang_name
									  ,lang_iso
									  ,af_name
									  ,af_canals
									  ,af_id
								FROM ".DB_TBLPRE."movielang ml
								JOIN ".DB_TBLPRE."language la ON la.lang_id = ml.movielang_langidfs
								JOIN ".DB_TBLPRE."audioformat af ON af.af_id = ml.movielang_afidfs
								WHERE ml.movielang_movieidfs = '".$movie[0]->movie_id."'
								ORDER BY lang_name,af_name");
								
		$subs = $conn->select("SELECT lang_name sub_lang
							   FROM ".DB_TBLPRE."moviesub ms
							   LEFT JOIN ".DB_TBLPRE."language la ON la.lang_id = ms.moviesub_langidfs
							   WHERE ms.moviesub_movieidfs = '".$movie[0]->movie_id."'
							   ORDER BY lang_name");
					   
		$genres = $conn->select("SELECT genre_id
									   ,genre_name
								 FROM ".DB_TBLPRE."moviegenre mg
								 JOIN ".DB_TBLPRE."genre ge ON ge.genre_id = mg.moviegenre_genreidfs
								 WHERE moviegenre_movieidfs = '".$movie[0]->movie_id."'");
									
		$casting = $conn->select("SELECT actor_id
										,actor_name
								  FROM ".DB_TBLPRE."movieactor ma
								  LEFT JOIN ".DB_TBLPRE."actor ac ON ac.actor_id = ma.movieactor_actoridfs
								  WHERE movieactor_movieidfs = '".$movie[0]->movie_id."'");
		
		$regie = $conn->select("SELECT actor_id
										,actor_name
								  FROM ".DB_TBLPRE."moviedirector md
								  LEFT JOIN ".DB_TBLPRE."actor ac ON ac.actor_id = md.md_directoridfs
								  WHERE md_movieidfs = '".$movie[0]->movie_id."'");
		
		$countries = $conn->select("SELECT country_id
										  ,country_name
									FROM ".DB_TBLPRE."moviecountry mc
									LEFT JOIN ".DB_TBLPRE."country co ON co.country_id = mc.mc_countryidfs
									WHERE mc_movieidfs = '".$movie[0]->movie_id."'");
		
		$borrowed = $conn->select("SELECT user_id
								  		 ,user_name
								  		 ,user_firstname
										 ,bor_startdate
									 FROM ".DB_TBLPRE."borrowed b
									 JOIN ".DB_TBLPRE."user u ON u.user_id = b.bor_useridfs
									WHERE bor_movieidfs = '".$movie[0]->movie_id."'
									  AND bor_enddate IS NULL");
		
		//echo"<pre>"; print_r($movie); print_r($genres); print_r($langs); echo"</pre>";
		//testFunction();
		
		$countries_array = array();
		$genres_array = array();
		
		foreach($countries as $co) {
			$countries_array[] = "<a href=\"show.php?module=countries&amp;country=".htmlentities(stripslashes($co->country_id))."\">".htmlentities(stripslashes($co->country_name))."</a>";
		}
		
		foreach($genres as $genre) {
			$genres_array[] = "<a href=\"show.php?module=genres&amp;genreid=$genre->genre_id\">".htmlentities(stripslashes($genre->genre_name))."</a>";
		}
		
		echo'<div id="movie_header" style="background-image:url(\'' , (($movie[0]->movie_backdrop !== NULL)?SCRIPT_URL . BACKDROPS_PATH . $movie[0]->movie_backdrop:SCRIPT_URL . 'images/backdrop_none.jpg') , '\');',(($movie[0]->movie_backdropposy !== NULL)?' background-position:left '.$movie[0]->movie_backdropposy.'px;':''),'">
			
			<div id="movie_mainheader">
				<div id="availability"><em style="font-style:italic;">#' , $movie[0]->movie_id , '</em> <img src="',((count($borrowed) <= 0)?SCRIPT_URL . 'images/icon_in.png':SCRIPT_URL . 'images/icon_out.png'),'" alt="',((count($borrowed) <= 0)?'verfgbar':'ausgeliehen'),'" style="margin-left:4px;" /></div>
				
				<strong>' , htmlentities(stripslashes($movie[0]->movie_title)) , '</strong>
				<em>' , implode(', ',$countries_array) , ' &nbsp;' , date('Y',$movie[0]->movie_cinreldate) , ' &nbsp;&bull;&nbsp; ca. ' , $movie[0]->movie_length ,' min &nbsp;&bull;&nbsp; ' , implode(', ',$genres_array) , '</em>
			</div>
		</div>
		<div id="content">';
		
		if($_SESSION["logged_in"] && $_SESSION["user_type"] == GRP_ADMIN) {
			echo '<div style="text-align:right;">
				<a href="',SCRIPT_URL,'admin/edit.php?module=movie&amp;movie=',$movie[0]->movie_id,'" class="submit"><img src="',SCRIPT_URL,'images/icon_delete.png" alt="Film lschen" /> Lschen</a>
				<a href="',SCRIPT_URL,'admin/edit.php?module=movie&amp;movie=',$movie[0]->movie_id,'" class="submit"><img src="',SCRIPT_URL,'images/icon_edit.png" alt="Film editieren" /> Editieren</a> 
			</div>
			<br style="clear:both;" />';
		}
		
		echo (($movie[0]->movie_active == 1)?"":"<p class=\"msg_information\">Dieser Film wurde noch nicht aktiviert.</p>")."
			".((!empty($movie[0]->movie_covername) && file_exists("covers/".$movie[0]->movie_covername))?"<a href=\"" . SCRIPT_URL . "covers/".$movie[0]->movie_covername."\" id=\"cover\" rel=\"shadowbox\"><img src=\"" . SCRIPT_URL . getCover($movie[0]->movie_covername,180) . "\" alt=\"".htmlentities(stripslashes($movie[0]->movie_title))."\" /></a>":"<a href=\"#\" id=\"cover\"><img src=\"" . SCRIPT_URL . "images/unknown_cover_180.png\" alt=\"Kein Cover\" /></a>")."
			<!--<a name=\"fb_share\" type=\"button\" href=\"http://www.facebook.com/sharer.php\">Teilen</a><script src=\"http://static.ak.fbcdn.net/connect.php/js/FB.Share\" type=\"text/javascript\"></script>-->
			
			<div style=\"margin-left:200px;\">
				<h1>Filminformationen</h1>
				<dl>
				<dt>Beschreibung:</dt><dd><p>".nl2br(htmlentities(stripslashes($movie[0]->movie_description)))."</p></dd>
				<dt>Spieldauer:</dt><dd>ca. ".$movie[0]->movie_length." min</dd>
				".((!empty($movie[0]->movie_aspectratio))?"<dt>Seitenverhltnis:</dt><dd>".htmlentities(stripslashes($movie[0]->movie_aspectratio))."</dd>":"");
				
				if($movie[0]->movie_color !== NULL) {
					echo"<dt>Farbe:</dt><dd>";
					switch($movie[0]->movie_color) {
						case 1: echo "Farbe"; break;
						case 0: echo "Schwarz-Weiss"; break;
						case 2: echo "Farbe, Schwarz-Weiss"; break;
						default: echo"<em>unbekannt</em>"; break;
					}
					echo"</dd>";
				}
				
				if(count($countries) > 0) {
					echo"<dt>Land:</dt><dd><ul id=\"countries\">";
					
					foreach($countries as $co) {
						echo"<li><a href=\"show.php?module=countries&amp;country=",htmlentities(stripslashes($co->country_id)),"\">",htmlentities(stripslashes($co->country_name)),"</a></li>";
					}
					
					echo"</ul></dd>";
				}
				
				echo"<dt>Genres:</dt><dd><ul id=\"genre\">";
				
				foreach($genres as $genre) {
					echo"<li><a href=\"show.php?module=genres&amp;genreid=$genre->genre_id\">",htmlentities(stripslashes($genre->genre_name)),"</a></li>";
				}
				
				echo"</ul></dd>
				<dt>Altersfreigabe:</dt><dd>".(($movie[0]->movie_age > 0)?htmlentities(stripslashes($movie[0]->movie_age))." Jahren":"ohne Altersbeschr&auml;nkung")."</dd>
				<dt>Kino-Release:</dt><dd>".((!empty($movie[0]->movie_cinreldate))?date('d.m.Y',$movie[0]->movie_cinreldate):"<em>unbekannt</em>")."</dd>
				<dt>Street-Release:</dt><dd>".((!empty($movie[0]->movie_reldate))?date('d.m.Y',$movie[0]->movie_reldate):"<em>unbekannt</em>")."</dd>
				".((!empty($movie[0]->movie_notes))?"<dt>Bemerkungen:</dt><dd>".nl2br(htmlentities(stripslashes($movie[0]->movie_notes)))."</dd>":"");
				
				// Regie
				if(count($regie) > 0) {
					echo"<dt>Regie:</dt><dd><ul id=\"regie\">";
					foreach($regie as $r) {
						echo"<li><a href=\"show.php?module=actor&amp;actor=",htmlentities(stripslashes($r->actor_id)),"\">",htmlentities(stripslashes($r->actor_name)),"</a></li>";
					}
					echo"</ul></dd>";
				}
				
				// Casting
				$count_casting = count($casting);
				if($count_casting > 0) {
					echo"<dt>Casting:</dt><dd><ul id=\"casting\">";
					
					$i_hb = ($count_casting > 10)?10:$count_casting;
					for($i=0; $i < $i_hb; $i++) {
						echo"<li><a href=\"show.php?module=actor&amp;actor=".htmlentities(stripslashes($casting[$i]->actor_id))."\">".htmlentities(stripslashes($casting[$i]->actor_name))."</a></li>";
					}
					
					if($count_casting > 10) {
						echo"<li>...</li>
						<li><a href=\"show.php?module=casting&amp;movie=",$movie[0]->movie_id,"\" rel=\"shadowbox;width=500;height=650\" title=\"Casting | ",htmlentities(stripslashes($movie[0]->movie_title)),"\"><em>&raquo; ganzes Casting</em></a></li>";
					}
					
					echo"</ul></dd>";
				}
				
				echo"<dt>Mehr Informationen:</dt><dd><a href=\"http://german.imdb.com/find?s=all&amp;q=".htmlentities(stripslashes($movie[0]->movie_title))." (".date('Y',$movie[0]->movie_cinreldate).")\"><img src=\"" . SCRIPT_URL . "images/icon_imdb.gif\" alt=\"IMDB\" style=\"border:none;\" /></a></dd>
				</dl>
				
				<h1>Kopieinformationen</h1>
				<dl>
					<dt>Film-ID:</dt><dd>#",$movie[0]->movie_id,"</dd>";
					
					if($_SESSION["logged_in"] && ($_SESSION["user_type"] == GRP_ADMIN || $_SESSION["user_type"] == GRP_LENDER)) {
					if(count($borrowed) > 0) {
						$duration = ceil((time()-$borrowed[0]->bor_startdate)/3600/24);
						
						echo"<dt>Ausgeliehen an:</dt><dd><a href=\"#\">".htmlentities(stripslashes($borrowed[0]->user_firstname))." ".htmlentities(stripslashes($borrowed[0]->user_name))."</a> (am ".date('d.m.Y',$borrowed[0]->bor_startdate).", $duration ".(($duration == 1)?"Tag":"Tage").") | ";
					} else {
						echo"<dt>Ausleihen:</dt><dd>";
					}
					echo"<a href=\"admin/borrow.php?movie=",$movie[0]->movie_id,"\" rel=\"shadowbox;width=650;height=350;options={relOnClose:true}\" title=\"Ausleihen | ",htmlentities(stripslashes($movie[0]->movie_title)),"\">Verwalten</a></dd>";
					}
																															
					echo ((!empty($movie[0]->movie_version))?"<dt>Version:</dt><dd>".nl2br(htmlentities(stripslashes($movie[0]->movie_version)))."</dd>":"")."
					<dt>Sprachen:</dt><dd>";
					
					if(count($langs) > 0) {	
						echo"<ul id=\"languages\">";
						foreach($langs as $lang) {
							echo'<li><img src="' , SCRIPT_URL , 'images/icon_',$lang->af_name,$lang->af_canals,'.png" alt="',$lang->af_name,' ',$lang->af_canals,'" style="margin-bottom:1px;" /> ',$lang->lang_name,'</li>';
						}
						
						echo"</ul>";
					} else { 
						echo"<em>unbekannt</em>";
					}
					
					echo"</dd>";
						
					if(count($subs) > 0) {
						echo"<dt>Untertitel:</dt><dd><ul id=\"subs\">";
						
						foreach($subs as $sub) {
							echo"<li>".$sub->sub_lang."</li>";
						}
						
						echo"</ul></dd>";
					}
					
					echo ((!empty($movie[0]->movie_copytype))?"<dt>Kopieart:</dt><dd>".htmlentities(stripslashes($movie[0]->movie_copytype))."</dd>":"")."
					<dt>Backup:</dt><dd>".(($movie[0]->movie_backup == 1)?"Ja":"Nein")."</dd>";
					
					if($movie[0]->movie_backup == 1) {
						echo"<dt>Codec:</dt><dd><span".((!empty($movie[0]->movie_codecdes))?" onmouseover=\"showTooltip('".nl2br(htmlentities(stripslashes($movie[0]->movie_codecdes)))."')\" onmouseout=\"hideTooltip()\"":"")." class=\"info\" >".htmlentities(stripslashes($movie[0]->movie_codec))."</span></dd>";
					}
					
				echo"<dt>Extras:</dt><dd>".((!empty($movie[0]->movie_extra))?htmlentities(stripslashes($movie[0]->movie_extra)):"<em>keine Angabe</em>")."</dd>
				<dt>Eingetragen am:</dt><dd>".date('d.m.Y',$movie[0]->movie_entrydate)."</dd>
			</dl>
			
			<h1>Trailer</h1>";
			
			$trailerList = $trailerController->getTrailersByMovieId($_GET['movie']);
			
			if(count($trailerList) > 0) {
				foreach($trailerList as $t) {
					preg_match('/v=(.+)(?:&.+)?/',parse_url($t->getLink(),PHP_URL_QUERY),$results);
					
					$embedLink = $results[1];
					//echo'<p><object width="640" height="385"><param name="movie" value="http://www.youtube.com/v/',$embedLink,'?fs=1&amp;hl=de_DE&amp;hd=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/',$embedLink,'?fs=1&amp;hl=de_DE&amp;hd=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="640" height="385"></embed></object></p>';
				
					//echo'<p><object type="application/x-shockwave-flash" style="width:640px; height:385px;" data="http://www.youtube.com/v/',$embedLink,'?fs=1&amp;hl=de_DE&amp;hd=1"><param name="movie" value="http://www.youtube.com/v/',$embedLink,'?fs=1&amp;hl=de_DE&amp;hd=1" /></object></p>';
					echo'<p><object width="640" height="390"><param name="movie" value="http://www.youtube-nocookie.com/v/',$embedLink,'?fs=1&amp;version=2&amp;hl=de_DE&amp;hd=1"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube-nocookie.com/v/',$embedLink,'?fs=1&amp;version=2&amp;hl=de_DE&amp;hd=1" type="application/x-shockwave-flash" width="640" height="390" allowscriptaccess="always" allowfullscreen="true"></embed></object></p>';
				}
			} else {
				echo'<p><em>momentan keine Trailer zu diesem Film</em></p>';
			}
			
			echo"<h1>Kommentare</h1>";
			
			if($_SESSION["logged_in"]) {
				echo"<form action=\"javascript:insert_comment(".$movie[0]->movie_id.");\"><p><textarea id=\"comment\" style=\"width:500px;\" rows=\"15\" cols=\"500\" onblur=\"javascript:do_comment(0);\" onclick=\"javascript:do_comment(1);\">Einen Kommentar schreiben...</textarea><br /><input type=\"submit\" class=\"submit\" id=\"comment_submit\" value=\"Kommentieren\" style=\"margin-top:5px; display:none;\" /></p></form>";
			} else {
				echo"<p style=\"font-style:italic;\">Du musst dich <a href=\"login.php\">anmelden</a> um einen Kommentar abgeben zu k&ouml;nnen.</p>";
			}
			
			echo"<div id=\"allcomments\"></div>
			</div>";
		
		require_once("overall_footer.php");
	} else { echo"Film gibt es nicht!"; }
}



/*
 * show_movielist()
 */
function show_movielist() {
	require_once("overall_header.php");
	
	$conn = new mySQL();
	
	$perpagelim = 25;
	
	if(!isset($_GET["letter"])) { $_GET["letter"] = ""; }
	if(!isset($_GET["start"])) { $startlim = 0; } else { $startlim = mysql_real_escape_string(strip_tags($_GET["start"])); }
	
	$movies = $conn->select("SELECT movie_id
								   ,movie_title
								   ,movie_cinreldate
							   FROM ".DB_TBLPRE."movie
							  WHERE movie_title LIKE '".mysql_real_escape_string(strip_tags($_GET["letter"]))."%'
							  ORDER BY movie_title
							  LIMIT $startlim,$perpagelim");
	
	echo'<div id="movie_header" style="background-image:url(\'', SCRIPT_URL ,'images/backdrop_genres.jpg\');">
			<div id="movie_mainheader">
				<strong>Filme von A-Z</strong>
				<em>Hier findest du alle filme in alphabetischer Reihenfolge aufgelistet.</em>
			</div>
		</div>
		<div id="content">
			<ul class="sorter">
				<li><a href="',SCRIPT_URL,'show.php?module=movielist"',((!isset($_GET["letter"]) || empty($_GET["letter"]))?' class="active"':''),'>Alle</a></li>
				<li><a href="#">#</a></li>';
	
	for($i=ord("A"); $i <= ord("Z"); $i++) {
		if(chr($i) != $_GET["letter"]) {
			echo"<li><a href=\"show.php?module=movielist&amp;letter=",chr($i),"\">",chr($i),"</a></li>";
		} else {
			echo'<li><a class="active">',chr($i),'</a></li>';
		}
	}
	
	echo"</ul>";
	
	if(count($movies) > 0) {
		echo"<ul class=\"movielist\">";
		
		foreach($movies as $movie) {
			$movielink = SCRIPT_URL . ((FRIENDLY_URL)?"show/movie/" . $movie->movie_id . "-" . formatUrlFriendly(stripslashes($movie->movie_title)):"show.php?module=movie&amp;movie=".$movie->movie_id);
		
			echo"<li><a href=\"".$movielink."\">".htmlentities(stripslashes($movie->movie_title)).((!empty($movie->movie_cinreldate))?" (".date('Y',$movie->movie_cinreldate).")":"")."</a> <em>".$movie->movie_id."</em></li>";
		}
		
		echo"</ul>";
	} else {
		echo"<p><em>Keine Filme mit dem Buchstaben ".strip_tags($_GET["letter"])." am Anfang vorhanden.</em></p>";
	}
	
	$countm = count($conn->select("SELECT movie_id FROM ".DB_TBLPRE."movie WHERE movie_title LIKE '".mysql_real_escape_string(strip_tags($_GET["letter"]))."%'"));
	$pages = ceil($countm/$perpagelim);
	
	if($pages > 1) {
		echo"<ul class=\"pager\">";
		
		for($i=0; $i < $pages; $i++) {
			if(($startlim/$perpagelim) == $i) {
				echo'<li><a class="active">',($i+1),'</a></li>';
			} else {
				echo"<li><a href=\"",SCRIPT_URL,"show.php?module=movielist".((isset($_GET["letter"]) && !empty($_GET["letter"]))?"&amp;letter=".mysql_real_escape_string(strip_tags($_GET["letter"])):"")."&amp;start=".($i*$perpagelim)."\">".($i+1)."</a></li>";
			}
		}
		
		echo"</ul>";
	}
	
	require_once("overall_footer.php");
}



/*
 * show_genres()
 */
 function show_genres() {
	require_once(ABSPATH . 'classes/popo/rssFeedEntry.class.php');
 

	
	$conn = new mySQL();
	
	$perpagelim = 25;
	
	if(!isset($_GET["genreid"])) { $_GET["genreid"] = ""; }
	if(!isset($_GET["start"])) { $startlim = 0; } else { $startlim = mysql_real_escape_string(strip_tags($_GET["start"])); }
	
	$genres = $conn->select("SELECT genre_id, genre_name FROM ".DB_TBLPRE."genre ORDER BY genre_name");
	$genre = $conn->select("SELECT genre_name FROM ".DB_TBLPRE."genre WHERE genre_id = '".mysql_real_escape_string(strip_tags($_GET["genreid"]))."'");
	
	$movies = $conn->select("SELECT movie_id
								   ,movie_title
								   ,movie_cinreldate
							   FROM ".DB_TBLPRE."moviegenre mg
							   JOIN ".DB_TBLPRE."movie m ON m.movie_id = mg.moviegenre_movieidfs
							  WHERE moviegenre_genreidfs = '".mysql_real_escape_string(strip_tags($_GET["genreid"]))."'
							  ORDER BY movie_title
							  LIMIT $startlim,$perpagelim");
	
	if(isset($_GET["genreid"]) && !empty($_GET["genreid"]))
		$header_rssfeeds[] = new RssFeedEntry(SCRIPT_URL . 'rss.php?module=genre&amp;genre=' . strip_tags($_GET["genreid"]),'Genre &laquo;'.stripslashes($genre[0]->genre_name).'&raquo;');
	
	require_once("overall_header.php");
	
	echo'<div id="movie_header" style="background-image:url(\'', SCRIPT_URL ,'images/backdrop_genres.jpg\');">
			<div id="movie_mainheader">
				<div id="availability"><em style="font-style:italic;">',((count($movies) > 0)?'<a href="rss.php?module=genre&amp;genre='.$_GET["genreid"].'" class="genrefeed"><img src="images/icon_rssfeed.png" alt="Dieses Genre abonnieren" style="margin-right:4px;" /></a>':''),'</em></div>
				
				<strong>Genres</strong>
				<em>Whle ein entsprechendes Genre in der Box unten und es werden dir alle Filme angezeigt, die diesem Genre angehren.</em>
			</div>
		</div>
		<div id="content">
			<div style="border-bottom:1px solid #ccc; padding:0 5px 10px 5px;">
			',((count($movies) > 0)?'<a href="rss.php?module=genre&amp;genre='.$_GET["genreid"].'" class="genrefeed"><img src="images/icon_rssfeed.png" alt="Dieses Genre abonnieren" style="vertical-align:middle;" /> Dieses Genre abonnieren</a>':''),'
			<form method="get" action="',SCRIPT_URL,'show.php" class="sorter" style="margin-top:10px; text-align:left;"><input type="hidden" name="module" value="genres" /><select name="genreid" onchange="this.form.submit();" class="sorterselect"><option value="">-- bitte w&auml;hlen --</option>';
	
	foreach($genres as $genre) {
		$getmno = $conn->select("SELECT COUNT(*) countm FROM ".DB_TBLPRE."moviegenre WHERE moviegenre_genreidfs = '$genre->genre_id'");
		echo "<option value=\"$genre->genre_id\"",(($genre->genre_id == $_GET["genreid"])?" selected=\"selected\"":""),">",htmlentities(stripslashes($genre->genre_name))," (",$getmno[0]->countm,")</option>";
	}
	
	echo"</select></form>
	</div>";
	
	if(count($movies) > 0) {
		echo"<ul class=\"movielist\">";
		
		foreach($movies as $movie) {
			$movelink = $movielink = SCRIPT_URL . ((FRIENDLY_URL)?"show/movie/" . $movie->movie_id . "-" . formatUrlFriendly(stripslashes($movie->movie_title)):"show.php?module=movie&amp;movie=".$movie->movie_id);
			echo"<li><a href=\"".$movelink."\">".htmlentities(stripslashes($movie->movie_title)).((!empty($movie->movie_cinreldate))?" (".date('Y',$movie->movie_cinreldate).")":"")."</a> <em>".$movie->movie_id."</em></li>";
		}
		
		echo"</ul>";
	} else {
		echo"<p><em>W&auml;hle aus der obigen Liste ein Genre aus.</em></p>";
	}
	
	$countm = count($conn->select("SELECT moviegenre_movieidfs FROM ".DB_TBLPRE."moviegenre WHERE moviegenre_genreidfs = '".mysql_real_escape_string(strip_tags($_GET["genreid"]))."'"));
	$pages = ceil($countm/$perpagelim);
	
	if($pages > 1) {
		echo'<ul class="pager">';
		
		for($i=0; $i < $pages; $i++) {
			if(($startlim/$perpagelim) == $i) {
				echo'<li><a class="active">',($i+1),'</a></li>';
			} else {
				echo"<li><a href=\"show.php?module=genres".((isset($_GET["genreid"]) && !empty($_GET["genreid"]))?"&amp;genreid=".mysql_real_escape_string(strip_tags($_GET["genreid"])):"")."&amp;start=".($i*$perpagelim)."\">".($i+1)."</a></li>";
			}
		}
		
		echo'</ul>';
	}

	require_once("overall_footer.php");
}



/*
 * show_actor()
 */
 function show_actor() {
	require_once("includes/config.inc.php");
	
	$conn = new mySQL();
	
	$actor = $conn->select("SELECT actor_id
								  ,actor_name
								  ,actor_birthdate
								  ,actor_biographie
							  FROM ".$tblpre."actor
							 WHERE actor_id = '".mysql_real_escape_string(strip_tags($_GET["actor"]))."'");
	
	$getmovies = $conn->select("SELECT movie_id, movie_title, movieactor_charname FROM ".$tblpre."movieactor ma JOIN ".$tblpre."movie m ON m.movie_id = ma.movieactor_movieidfs WHERE ma.movieactor_actoridfs = '".mysql_real_escape_string(strip_tags($_GET["actor"]))."'");
	
	$header_title = htmlentities(stripslashes($actor[0]->actor_name));
	require_once("overall_header.php");
	
	echo'<div id="movie_header" style="background-image:url(\'images/backdrop_none.jpg\');">
			<div id="movie_mainheader">
				<strong>',htmlentities(stripslashes($actor[0]->actor_name)),'</strong>
				<em>Schauspieler/in</em>
			</div>
		</div>
		<div id="content">
				<h1>Informationen</h1>
				<dl>
					<dt>Name:</dt><dd>',htmlentities(stripslashes($actor[0]->actor_name)),'</dd>
					',((!empty($actor[0]->actor_birthdate))?'<dt>Geburtsdatum:</dt><dd>'.date('d.m.Y',$actor[0]->actor_birthdate).'</dd>':''),'
					',((!empty($actor[0]->actor_biographie))?'<dt>Biografie:</dt><dd>'.nl2br(htmlentities(stripslashes($actor[0]->actor_biographie))).'</dd>':''),'
					<dt>Mehr Informationen:</dt><dd><a href="http://german.imdb.com/find?s=all&amp;q=',htmlentities(stripslashes($actor[0]->actor_name)),'"><img src="' , SCRIPT_URL , 'images/icon_imdb.gif" alt="IMDB" style="border:none;" /></a></dd>
				</dl>
				
				<h1>Filme</h1>
				<ul class="movielist">';
			
				foreach($getmovies as $m) {
					echo"<li><em>",$m->movie_id,"</em> <a href=\"show.php?module=movie&amp;movie=$m->movie_id\">",$m->movie_title,"</a> (Rolle: ",$m->movieactor_charname,")</li>";
				}
			
			echo'</ul>';
	
	
	require_once("overall_footer.php");
}

function show_casting() {
	if(!isset($_GET["movie"])) {
		die("Es muss eine Movie-ID angegeben werden um ein Casting zu dieser erstellen zu k&ouml;nnen.");
	}
	
	require_once("config.php");
	
	echo"<html>
		<head>
			<title>Casting</title>
			
			<link rel=\"stylesheet\" href=\"",SCRIPT_URL,"css/popup.css\" type=\"text/css\" />
		</head>
		<body>
		<div class=\"casting_header\">Schauspieler <em>Rolle</em></div>
		<ul class=\"casting_detail\">";
	
		$conn = new mySQL();
		
		$getpeople = $conn->select("SELECT actor_id
										  ,actor_name
										  ,movieactor_charname
									  FROM ".DB_TBLPRE."movieactor ma
									  JOIN ".DB_TBLPRE."actor a ON a.actor_id = ma.movieactor_actoridfs
									 WHERE movieactor_movieidfs = '".mysql_real_escape_string(strip_tags($_GET["movie"]))."'");
		
		foreach($getpeople as $pers) {
			echo "<li>",htmlentities(stripslashes($pers->actor_name))," <em>",((strlen($pers->movieactor_charname) < 40)?htmlentities(stripslashes($pers->movieactor_charname)):htmlentities(stripslashes(substr($pers->movieactor_charname,0,40)))."..."),"</em></li>";
		}
	
	echo"</ul></body>
	</html>";
}

?>